SoundSoftware Code Site - Feature #550
Feature # 562 (Closed): Overhaul project discovery
Move "My Projects” to "My Page"
2012-11-13 09:10 PM - Chris Cannam

Status: Closed Start date: 2012-11-13
Priority: Normal Due date:

Assignee: Chris Cannam % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

The obvious place for My Projects, surely, is on My Page?

We can easily add a My Projects box -- the difficulty is ensuring that users get to see it (since the set of boxes is user-controlled and
may already have been edited). We can probably work it out somehow though.

That has the benefit that it might encourage people to revisit My Page more. If it had some other useful boxes (see e.g. #279) it could
actually become useful!

Then we can have the Projects link going through some sort of explore interface and Bob's yer uncle.

Related issues:
Precedes Feature # 565: Remove "My Projects" from Projects page Closed 2013-01-22 2013-01-22

History

#1 - 2012-11-23 04:24 PM - Chris Cannam

Working on this -- started with adding a My Page block for My Projects (commit:5ebdeb79ea9c)

#2 - 2013-01-21 02:29 PM - Chris Cannam

Users who have not changed the layout of their My Page will automatically see any updates made to the default layout.

Of our current users, 9 have changed the My Page layout (of whom 2 are developers of the site) and 226 have not.

#3 - 2013-01-21 04:04 PM - Chris Cannam

- Parent task set to #562

#4 - 2013-01-25 09:42 PM - Chris Cannam
- Status changed from New to Closed
